:root {
  --space-unit: 0.25rem;

  --font-base: clamp(1rem, 0.5rem + 0.8vw, 1.5rem);

  --h: 210;
  --s: 70%;

  --warning-h: 0;

  --primary: hsl(var(--h), var(--s), 50%);
  --primary-light: hsl(var(--h), var(--s), 98%);
  --primary-dark: hsl(var(--h), 8%, 30%);
  --surface: hsl(var(--h), var(--s), 94%);
  --surface-br: hsl(var(--h), var(--s), 85%); 

  --color-warning: hsl(var(--warning-h), 80%, 50%);

  --accent-h: 210;
  --accent: hsl(var(--accent-h), 70%, 40%);
  --on-accent: hsl(var(--accent-h), 8%, 98%);
  --shadow: hsla(var(--h), var(--s), 15%, 0.4);

  --space-1: var(--space-unit);
  --space-2: calc(var(--space-unit) * 2);
  --space-3: calc(var(--space-unit) * 3);
  --space-4: calc(var(--space-unit) * 4);

  --hover: hsl(var(--h), var(--s), 40%);


  /* Tokens */
  --main-bg: var(--primary-light);
  --surface-bg: var(--surface);
  --surface-border: var(--surface-br);

  --color-limit-warning: var(--color-warning);

  --text-color-primary: var(--primary);
  --text-color-dark: var(--primary-dark);

  --text-base: var(--font-base);
  --text-xs: calc(var(--font-base) / 1.4);
  --text-sm: calc(var(--font-base) / 1.2);
  --text-md: calc(var(--text-sm) * 1.2);
  --text-lg: calc(var(--text-md) * 1.2);

  --space-xs: var(--space-1);
  --space-sm: var(--space-2);
  --space-md: var(--space-3);
  --space-lg: var(--space-4);

  --primary-hover: var(--hover);
  --shadow-1: 0 4px 12px -4px var(--shadow);

  --container-radius: 0.5rem;
  --radius-sm: 0.25rem;
  --radius-md: 0.5rem;
  --radius-lg: 1rem;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: var(--font-base);
}

body {
  font-size: var(--text-sm);
  font-family: Arial, sans-serif;
  line-height: 1.6;
  background-color: var(--main-bg);
  color: var(--text-color-dark);

  text-align: center;
}

h1 { 
  font-size: var(--text-lg);
  line-height: 1.2;
  letter-spacing: -0.4px;
  color: var(--text-color-primary);

  margin-bottom: var(--space-lg);
}

.container {
  max-width: 1200px;
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  
  padding: var(--space-md);
  margin-inline: auto;
}

.card {
  max-width: 600px;
  width: 100%;

  padding: var(--space-lg);

  background-color: var(--surface-bg);
  border: 1px solid var(--surface-border);
  border-radius: var(--radius-md);

  transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.card:hover{
  box-shadow: var(--shadow-1);
  transform: translateY(-2px);
}

.card__content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--space-sm);
}

.card__label {
  display: block;
  font-size: var(--text-sm);
}

.text-input {
  width: 100%;
  font-size: var(--text-base);
  padding: var(--space-sm);

  color: var(--text-color-primary);
  border: 1px solid var(--surface-border);

  transition: box-shadow 0.3s ease;
}

.text-input:hover {
  box-shadow: 0 2px 4px var(--shadow);
  border: 1px solid var(--primary);
}
 
.text-input:focus {
  outline: 1px solid var(--primary);
}

.feedback-note {
  font-size: var(--text-xs);

  padding: var(--space-xs) var(--space-sm);

  background-color: var(--main-bg);
  border: 1px solid var(--surface-border);
  border-left: 2px solid var(--primary);

  display: inline-flex;
  gap: var(--space-sm);
}

.feedback-note::before {
  content: "Note:";
  color: var(--accent);

  font-weight: 600;
}

.feedback {
  font-size: var(--text-sm);
  color: var(--text-color-dark);
}

.max--limit {
  color: var(--color-limit-warning);
}

.feedback--warning {
  color: var(--primary);
  font-weight: 500;
}

.feedback--limit {
  color: hsl(var(--h), var(--s), 35%);
  font-weight: 600;
}

.card__content [type="submit"] {
  width: 100%;
  font-size: var(--text-base);
  padding: var(--space-xs) var(--space-sm);

  border: none;
  background-color: var(--primary);
  color: var(--on-accent);
  border-radius: var(--radius-sm);

  transition: background-color 0.3s ease, transform 0.3s ease;
}

.card__content [type="submit"]:hover {
  background-color: var(--primary-hover);
}

.card__content [type="submit"]:active {
  transform: translateY(2px);
}
